apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: projects
  annotations:
    cert-manager.io/issuer: letsencrypt-prod
    ingress.pomerium.io/allow_public_unauthenticated_access: "true"
    ingress.pomerium.io/pass_identity_headers: "true"
    ingress.pomerium.io/preserve_host_header: "true"
spec:
  ingressClassName: pomerium
  rules:
    - host: "projects.bigasterisk.com"
      http:
        paths:
          - pathType: Prefix
            path: /
            backend: { service: { name: projects, port: { number: 80 } } }
  tls:
    - hosts: [projects.bigasterisk.com]
      secretName: projects.bigasterisk.com-tls
